import java.io.*;
import java.util.*;

public class replaceInFiles {
	
	static String extension;

	public static void main(String[] args) {
		if (args!=null && args.length==2) {
			String oldStr = args[0];
			String newStr = args[1];
			extension="html";
			processDir("./",true,oldStr,newStr);
			extension="htm";
			processDir("./",true,oldStr,newStr);
		} else {
			System.out.println("Use: Java replaceInFiles <oldStr> <newStr>");
		}
	}

	static void processDir(File dir,boolean recursive,String oldStr,String newStr) {
		File[] files=dir.listFiles();
		for (int i=0;i<files.length;i++) {
			if (files[i].isDirectory() && recursive) {
				processDir(files[i],recursive,oldStr,newStr);
			} else {
				processFile(files[i],oldStr,newStr);
			}
		}
	}
	
	static void processFile(File f,String oldStr,String newStr) {
		String fn=f.getAbsolutePath();
		if (fn.endsWith("."+extension)) {
			String content0=readAll(f);
			String content=modify(content0,oldStr,newStr);
			try {
				File file=new File(fn);
				if (file.exists()) {
					file.delete();
				}
				BufferedWriter BW=new BufferedWriter(new FileWriter(file));
				BW.write(content,0,content.length());
				BW.flush();
				BW.close();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
	}
	
	static void processDir(String str_dir,boolean recursive,String oldStr,String newStr) {
		File dir=new File(str_dir);
		processDir(dir,recursive,oldStr,newStr);
	}

	static String readAll(File f) {
		try {
			BufferedReader BR= new BufferedReader(new FileReader(f));;
			Vector V=new Vector();
			do {
				String str=BR.readLine();
				if (str==null) {
					break;
				}
				V.addElement(str);
			} while (true);
			BR.close();
			String content="";
			for (int i=0;i<V.size();i++) {
				if (i>0) {
					content+="\r\n";
				}
				content+=(String) V.elementAt(i);
			}
			return content;
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
	
	static String modify(String content,String oldStr,String newStr) {
		String str=content.replace(oldStr,newStr);
		return str;
	}
	
}